////////////////////////////////////////////////
//unpack_samplebank
//  unpacks the samples from .sample_bank files
//
//
////////////////////////////////////////////////

#include <nel/misc/types_nl.h>

// STL includes
#include <vector>
#include <string>
#include <map>
#include <iostream>
#include <fstream>

// NeL includes
#include <nel/misc/common.h>
#include <nel/misc/file.h>
#include <nel/misc/log.h>
#include <nel/misc/path.h>
#include <nel/sound/u_audio_mixer.h>
#include <nel/sound/sample_bank.h>
#include <nel/sound/sample_bank_manager.h>

// Project includes
// ...

using namespace std;
using namespace NLMISC;
using namespace NLSOUND;

int main( int argc, char **argv ){
	std::cout << "sample_bank unpacker tool" << std::endl;

	if( argc != 2 ){
		std::cout << "usage: " << argv[ 0 ] << " < sample_bank file >" << std::endl;
		return 0;
	}

	std::string filename( argv[ 1 ] );
	
	if( filename.find( ".sample_bank" ) == std::string::npos ){
		std::cout << "usage: " << argv[ 0 ] << " < sample_bank file >" << std::endl;
		return 0;
	}
	
	UAudioMixer::UnpackSampleBank( filename );

	return 0;

}
